Rem
Rem $Header: ctre_setup_source.sql 2015/02/01 11:12:30 dbolton991 Exp $
Rem
Rem ctre_setup_source.sql
Rem
Rem Copyright (c) 2015, VLSS LLC and/or its affiliates. 
Rem All rights reserved. 
Rem
Rem    NAME
Rem      ctre_setup_source.sql
Rem
Rem    DESCRIPTION
Rem      SQL*Plus command file to setup Connecteré environment.
Rem
Rem    NOTES
Rem      Must be run from connected to SYS (or internal)
Rem
Rem    MODIFIED   (MM/DD/YY)
Rem

set echo off verify off showmode off feedback off;
whenever sqlerror exit sql.sqlcode

prompt
prompt Choose the Connecteré source user
prompt ---------------------------------

prompt Not specifying a user will result in the installation FAILING
prompt
prompt &&source_user

prompt
prompt Choose the Connecteré source user's password
prompt --------------------------------------------  

prompt Not specifying a password will result in the installation FAILING
prompt
prompt &&source_password

Rem Begin spooling after all passwords have been entered
spool ctre_setup_source.lis

begin
  if '&&source_user' is null then
    raise_application_error(-20111, 'Install failed - No user specified for Connecteré install');
  end if;
end;
/

begin
  if '&&source_password' is null then
    raise_application_error(-20112, 'Install failed - No password specified for Connecteré user');
  end if;
end;
/

prompt
prompt Enter the file system / ASM location for the datafiles on the source system
prompt ---------------------------------------------------------------------------

prompt Enter a valid file system location on this system where the datafiles reside.
prompt
prompt File system example: /u01/app/oracle/oradata
prompt
prompt ASM example: +DATA
prompt
prompt &&datafile_location

begin
  if '&&datafile_location' is null then
    raise_application_error(-20113, 'Install failed - No location specified for datafiles');
  end if;
end;
/

prompt
prompt Enter the shared file system location for staging the files
prompt -----------------------------------------------------------

prompt Enter a valid file system location on the systems for the staging files to reside.
prompt 
prompt This file system must be accessible by both the source and dest systems.
prompt
prompt &&shared_location

begin
  if '&&shared_location' is null then
    raise_application_error(-20114, 'Install failed - No shared location specified for staging files');
  end if;
end;
/


prompt
prompt
prompt ... Creating &&source_user user

create user &&source_user 
  identified by &&source_password;

grant create session to &&source_user;

grant select on sys.ts$ to &&source_user;

grant select on sys.v_$tablespace to &&source_user;

grant select on sys.gv_$datafile to &&source_user;

CREATE DIRECTORY ctre_source_dir AS '&&datafile_location';

grant read on directory ctre_source_dir to &&source_user;

CREATE DIRECTORY ctre_shared_dir AS '&&shared_location';

grant create procedure to &&source_user;

grant execute on sys.dbms_backup_restore to &&source_user;

grant alter tablespace to &&source_user;

grant exp_full_database to &&source_user;

conn &&source_user/&&source_password

@ctre_source_adm.pks

@ctre_source_adm.plb

exit

